#include <stdio.h>
#include <stdlib.h>

int verseny(int a[],int k,int n){
    if(k==0){
        int x=0;
        for(int i=0;i<n;i++){
            x=x+a[i];
        }
        return x;
    }
    int x=0;
    for(int i=0;i<n;i++){
        x=x+verseny(a[i],k-1,i);
    }
    return x;


}

int main()
{
    int n,k,i,x;
    scanf("%d %d",&n,&k);
    int a[n];
    for(i=0;i<n;i++){
        scanf("%d",&a[i]);
    }
    x=verseny(a[n],k,n);
    printf("%d",x);
}